//utf8

/*
 * Copyright 2007 (C) Michal Kalewski
 * mkalewski@cs.put.poznan.pl
 *
 * Use, modification, copying and distribution of this software is subject to
 * the terms and conditions of the MIT License.
 * You should have received a copy of the MIT License along with this
 * software; if not, you can download a copy from http://www.opensource.org.
 *
 * For questions, bug reports, feature requests, support requests etc.
 * send an e-mail to: mkalewski@cs.put.poznan.pl.
 *
 * $Id: atcommands.h,v 1.7 2007-12-27 15:40:02 mkalewski Exp $
 *
 */

/* REQUESTS */
#define REQUESTIDENTIFICATION "ATI3\r"
#define DEFAULTCONFIGURATION "ATZ\r"
#define ECHOOFF "ATE0\r"
#define ENTERPIN "AT+CPIN="
#define REGISTERNETWORK "AT+CREG?\r"
#define TEXTMODE "AT+CMGF=1\r"
#define SENDMESSAGE "AT+CMGS="
#define RECEIVEMESSAGE "AT+CMGR="
#define ERASEMESSAGE "AT+CMGD="
#define SUBSCRIBERNUMBER "AT+CNUM\r"

/* RESPONSES */
#define _OK "OK"
#define _REGISTERNETWORK1 "+CREG: 0,1"
#define _REGISTERNETWORK2 "+CREG: "
#define _RECEIVEMESSAGE "+CMGR:"

/* ERRORS */
#define __ERROR1 "ERROR"
#define __ERROR2 "+ERROR"
#define __CMEERROR1 "CME ERROR"
#define __CMEERROR2 "+CME ERROR"
#define __CMSERROR1 "CMS ERROR"
#define __CMSERROR2 "+CMS ERROR"

/* OTHER */
#define ___UNREADMESSAGE "REC UNREAD"

//EOF + NL
